kompendium
2.0.2
2.0.3 2.0.2 2.0.1

# ObjectSchema

data class ObjectSchema (properties: Map < String , ComponentSchema >, default: Any ?, description: String ?, nullable: Boolean ?, required: List < String >?) : TypedSchema
Content copied to clipboard

## Functions

addDefault
Link copied to clipboard
open fun addDefault (default: Any ?): ComponentSchema
Content copied to clipboard
setDescription
Link copied to clipboard
open fun setDescription (description: String ): ComponentSchema
Content copied to clipboard

## Properties

default
Link copied to clipboard
open override val default : Any ? = null
Content copied to clipboard
description
Link copied to clipboard
open override val description : String ? = null
Content copied to clipboard
nullable
Link copied to clipboard
open override val nullable : Boolean ? = null
Content copied to clipboard
properties
Link copied to clipboard
val properties : Map < String , ComponentSchema >
Content copied to clipboard
required
Link copied to clipboard
val required : List < String >? = null
Content copied to clipboard
type
Link copied to clipboard
open override val type : String
Content copied to clipboard